Subject: Autogroup not working

From: "David Mostardi" <[email-masked]>
Date: Fri, 19 Feb 1999 12:18:55 -0800

I want internal anonymous users to autogroup to "mdluser",
who then have permission to write to directory /pub.
But I get the error "Permission denied. (Upload)", which
leads me to believe that the autogroup is not happening.

Have I made any obvious errors?  I am testing from within
one of the <addrglob>s listed.

ftpaccess
---------
class  mdl-anon  anonymous  172.15.0.0 172.16.0.0 172.17.0.0 172.18.0.0
autogroup  mdluser  mdl-anon

upload  /usr/ftp  *       no
upload  /usr/ftp  /upload yes     mdluser   mdluser   0660 dirs
upload  /usr/ftp  /pub    yes     mdluser   mdluser   0664 dirs

/etc/passwd
-----------
mdluser:*:801:801:MDL User:/usr/ftp/./pub:/dev/null

ls -l /usr/ftp
--------------
dr-xr-xr-x    2 root     sys          512 Jul 23  1998 bin/
dr-xr-xr-x    2 root     sys          512 Jul 23  1998 dev/
dr-xr-xr-x    3 root     sys          512 Feb 12 11:14 etc/
dr-xr-xr-x    2 root     sys          512 Jul 23  1998 lib/
dr-xr-xr-x    2 root     sys          512 Feb  9 12:04 lib32/
drwxrwxr-x    2 mdluser  mdluser     4096 Feb 16 11:43 pub/
drwxrwxr-x    2 ftp      ftp          512 Feb 16 11:43 upload/

Many thanks,
------------------------------------------------------------------------
David Mostardi                                 Web: http://www.mdli.com
Unix Systems Manager                         Email: [email-masked]
MDL Information Systems, Inc.                Voice: (510) 357-2222 x1420
14600 Catalina St., San Leandro CA 94577       Fax: (510) 352-2870

      -- "When in danger or in doubt, run in circles, scream and shout"